#include <io.h>
#include <string.h>
#include <sig-avr.h>
#include <wdt.h>
#include <interrupt.h>

void cmd(void);

unsigned char ch;


int main(void)
{
unsigned int i,j;

outp(0x00, UCSRB); // disable the UART
outp(0x00, UCSRA);
outp(4, UBRR); // load the baudrate divisor register; 115200 at 9.216M
outp(0, UBRRH);
outp(BV(TXEN) + BV(RXEN), UCSRB); // enable the UART0 transmitter & receiver
wdt_disable(); // kill watch dog timer
outp(0x00,PORTD); // setup d:7 for led
outp(0x80,DDRD);
cli(); // disable interrupts




// high cheese factor led blink
outp(0x80,PORTD);
for(i=0;i<30000;i++)
j=i+1;
outp(0x00,PORTD);


// main loop
while(1)
{

#if defined(work)
if(bit_is_set(UCSRA,RXC))
{
ch = inp(UDR);
outp(ch,UDR);
}
#endif

#if defined(hose)
cmd();
#endif

}


return 0;          
}


void cmd(void)
{

if(bit_is_set(UCSRA,RXC))
{
ch = inp(UDR);
outp(ch,UDR);
}

}



